{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block extra_style_block %}
    {{block.super}}

    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
        .bgc {
            background: rgba(0,0,0,.075);
        }
        .sku {
            cursor: pointer;
        }
        .even {background: rgba(0,0,0,.075);}
        .odd {background: rgba(0,0,0,.075);}
        .btn-search.search_item{
                display: initial !important;
    padding: 5px 12px;
    margin: 0 0px 0 0px;
    background: #3d8dbc;
    border: 1px solid #09649a;
    height: 34px;
        }
        input.txt-search.input_item{
            padding: 6px 47px 6px 14px;
    border: 1px solid #ccc;
    border-radius: 0px;
        }
    </style>
{% endblock %}

{% block content %}


        <section class="content-header col-content">
            <div class="row">
                <div class="col-xs-6 col-sm-6 col-md-6 col-customer">
                    <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
                    <h1 class="back-list">Stock Register</h1>
                </div>
                <div class="col-xs-6 col-sm-6 col-md-6 col-customer">
                     <form id="myForm" class="from-horizontal" method="post">
                    {% csrf_token %}
                    <button type="submit" style="float: right; background-color: black; margin-bottom: 10px;border: 0;border-radius: 4px;" name="export" class="export" >Export</button>
                     </form>
                </div>
                <div class="row" style="margin: 0;">
                    {% if stocks.has_other_pages %}
                        <ul class="pagination col-pagination pg-blue pull-right">
                            {% if stocks.has_previous %}
                                <li class="page-item">
                                    <a class="page-number" href="?page={{ stocks.previous_page_number }}"
                                       aria-label="Previous">&laquo;</a>
                                </li>
                            {% else %}
                                <li class="page-item disabled">
                                    <a class="page-link" href=""><span>&laquo;</span></a>
                                </li>
                            {% endif %}
    
                            {% for i in stocks.paginator.page_range %}
                                {% if stocks.number == i %}
                                    <li class="page-item active">
                                        <a class="page-link" href="#">{{ i }}</a>
                                    </li>
                                {% else %}
                                    <li class="page-item">
                                        <a class="page-link" href="?page={{ i }}">{{ i }}</a>
                                    </li>
                                {% endif %}
                            {% endfor %}
    
                            {% if stocks.has_next %}
                                <li class="page-item">
                                    <a class="page-number" href="?page={{ stocks.next_page_number }}">&raquo;</a>
                                </li>
                            {% endif %}
                        </ul>
                    {% endif %}
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <div class="row" style="margin: 0;">
                        <div class="search-container text-right">

                            <form class="search-form" method="post" style="display: inline-block;">
                                {% csrf_token %}
                                <!--From: <input class="form-control txt-search" value="{{from_date}}"-->
                                       <!--type="date" placeholder="Search..." name="from_date">-->
                                <!--To: <input class="form-control txt-search" value="{{to_date}}"-->
                                       <!--type="date" placeholder="Search..." name="to_date">-->
                                <!--<button class="btn-search" type="submit">-->
                                    <!--<i class="fa fa-search"></i>-->
                                <!--</button>-->


                                <input id="btnSearch" class="form-control txt-search input_item" value="{{search}}"
                                       type="text" placeholder="SKU Code.." name="search">
                                <button class="btn-search search_item" type="submit">
                                    <i class="fa fa-search"></i>
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section>
            <table class="table table table-bordered alternate_color">
                <thead>
                    <tr>
                        <th>SKU Code</th>
                        <th>Category</th>
                        <th>Opening Stock</th>
                        <th>Closing Stock</th>
                        <!--<th>Total Stock</th>-->
                        <th>Stock In</th>
                        <!--<th>Sellable</th>-->
                        <th>Stock Out</th>
                        <!--<th>Non Sellable</th>-->

                        <!--<th>Available Stock</th>-->
                        <!--<th>Stock-Out</th>-->
                    </tr>
                </thead>
                <tbody id="dataTable">
                {% if stocks|length > 0 %}
                    {% for stock in stocks %}
                    <tr>
                        <td><a href="/user/get_sku_details/{{stock.sku_code}}" target="_blank">{{stock.sku_code}}</a></td>
                        <td>{{stock.category|default:"NA"}}</td>
                        <td>{{stock.opening|stringformat:"d"}}</td>
                        <td>{{stock.closing|stringformat:"d"}}</td>
                        <td>{{stock.total|stringformat:"d"}}</td>
                        <!--<td>{{stock.sale|stringformat:"d"}}</td>-->
                        <!--<td>{{stock.non_sale|stringformat:"d"}}</td>-->
                        <td>{{stock.stock_out|stringformat:"d"}}</td>
                        <!--<td>{{stock.stock_in|stringformat:"d"}}</td>-->

                        <!--<td>{{stock.stock_in|stringformat:"d"}}</td>-->
                        <!--<td>{{stock.stock_out|stringformat:"d"}}</td>-->
                    </tr>
                    {% endfor %}
                {% else %}
                    <tr>
                        <td colspan="9" style="text-align:center;">Data not available</td>
                    </tr>
                {% endif %}
                </tbody>
            </table>

            
        </section>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script>
        <!--$(document).ready(function(){-->
            <!--$("#myForm").submit(function(event) {-->
                <!--debugger-->
                <!--if($this)-->
                <!--return false;-->
            <!--})-->
        <!--});-->
    </script>
{% endblock %}
